> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Credential Type

> Get the schema of a given type by name (or id)
        
**API scope required** `credentials.read`


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml get /v1-alpha1/credentials/types/{typeName}
openapi: 3.0.1
info:
  description: N/A
  version: 1.0.0
  title: Verifiable Credentials
  contact:
    name: Crossmint Verifiable Credentials APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security:
  - apiKey: []
paths:
  /v1-alpha1/credentials/types/{typeName}:
    get:
      tags:
        - Verifiable Credentials
      summary: Get a Credential Type
      description: |
        Get the schema of a given type by name (or id)
                
        **API scope required** `credentials.read`
      operationId: get-type
      parameters:
        - name: typeName
          in: path
          description: The name of the type or the type's id.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedType'
        '400':
          description: Type not found
components:
  schemas:
    CreatedType:
      type: object
      properties:
        id:
          type: string
          example: >-
            crossmint:bfb292e7-2700-4924-9213-478f3d71f2d8:CourseCompletionCertificate
        typeSchema:
          type: object
          properties:
            $schema:
              type: string
              example: https://json-schema.org/draft/2020-12/schema
            title:
              type: string
              example: Course completion
            description:
              type: string
              example: Describes the course completed and the assigned grade
            type:
              type: string
              example: object
            properties:
              type: object
              properties:
                credentialSubject:
                  type: object
                  example:
                    type: object
                    properties:
                      course:
                        type: string
                      grade:
                        type: string
                      id:
                        type: string
                    required:
                      - course
                      - grade
                    additionalProperties: false
            $id:
              type: string
              example: >-
                https://staging.crossmint.com/api/v1-alpha1/credentials/types/crossmint:bfb292e7-2700-4924-9213-478f3d71f2d8:CourseCompletionCertificate
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Key obtained from the Crossmint developer console, reflecting the API
        scope granted.

````